
From: Miles Bader <miles@gnu.org>

Signed-off-by: Miles Bader <miles@gnu.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-v850/cache.h        |    7 +++++--
 include/asm-v850/v850e2_cache.h |    5 +++--
 2 files changed, 8 insertions(+), 4 deletions(-)

diff -puN include/asm-v850/cache.h~v850-define-l1_cache_shift-and-l1_cache_shift_max include/asm-v850/cache.h
--- devel/include/asm-v850/cache.h~v850-define-l1_cache_shift-and-l1_cache_shift_max	2005-07-25 21:36:26.000000000 -0700
+++ devel-akpm/include/asm-v850/cache.h	2005-07-25 21:36:26.000000000 -0700
@@ -1,8 +1,8 @@
 /*
  * include/asm-v850/cache.h -- Cache operations
  *
- *  Copyright (C) 2001  NEC Corporation
- *  Copyright (C) 2001  Miles Bader <miles@gnu.org>
+ *  Copyright (C) 2001,05  NEC Corporation
+ *  Copyright (C) 2001,05  Miles Bader <miles@gnu.org>
  *
  * This file is subject to the terms and conditions of the GNU General
  * Public License.  See the file COPYING in the main directory of this
@@ -20,6 +20,9 @@
 #ifndef L1_CACHE_BYTES
 /* This processor has no cache, so just choose an arbitrary value.  */
 #define L1_CACHE_BYTES		16
+#define L1_CACHE_SHIFT		4
 #endif
 
+#define L1_CACHE_SHIFT_MAX	L1_CACHE_SHIFT
+
 #endif /* __V850_CACHE_H__ */
diff -puN include/asm-v850/v850e2_cache.h~v850-define-l1_cache_shift-and-l1_cache_shift_max include/asm-v850/v850e2_cache.h
--- devel/include/asm-v850/v850e2_cache.h~v850-define-l1_cache_shift-and-l1_cache_shift_max	2005-07-25 21:36:26.000000000 -0700
+++ devel-akpm/include/asm-v850/v850e2_cache.h	2005-07-25 21:36:26.000000000 -0700
@@ -2,8 +2,8 @@
  * include/asm-v850/v850e2_cache_cache.h -- Cache control for V850E2
  * 	cache memories
  *
- *  Copyright (C) 2003  NEC Electronics Corporation
- *  Copyright (C) 2003  Miles Bader <miles@gnu.org>
+ *  Copyright (C) 2003,05  NEC Electronics Corporation
+ *  Copyright (C) 2003,05  Miles Bader <miles@gnu.org>
  *
  * This file is subject to the terms and conditions of the GNU General
  * Public License.  See the file COPYING in the main directory of this
@@ -69,6 +69,7 @@
 
 /* For <asm/cache.h> */
 #define L1_CACHE_BYTES			V850E2_CACHE_LINE_SIZE
+#define L1_CACHE_SHIFT			V850E2_CACHE_LINE_SIZE_BITS
 
 
 #endif /* __V850_V850E2_CACHE_H__ */
_
